Bug 842991 - stickshift_facts.rb and libra.rb should be merged to avoid duplicate facts
stickshift_facts.rb and libra.rb should be merged to avoid duplicate facts
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-07-25 04:49 EDT by Johnny Liu
Modified: 2015-05-14 18:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: devenv_1932
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-03-15 10:24:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-07-25 04:49:25 EDT
Description of problem:
Currently there are mcollective fact files, one is stickshift_facts.rb in crankcase repo, another is libra.rb in li repo. 
Compare facts defination in these two files, most of them are duplicated, eg: git_repos, node_profile and so on, even some same fact has slight difference (git_repos). These duplicated facts should have an uniqe defination and should merge these duplicated facts to avoid confusion and reduce workload. 
Suggest most of facts should be defined in stickshift_facts.rb to consistency with openshift origin, only leave private facts defination in libra.rb.

Another issue is that there are two duplicated cron jobs running in the same instance,
one is /etc/cron.minutely/stickshift-facts, another one is /var/spool/cron/root.
They are doing the same things, so one of them should be removed. Suggest /var/spool/cron/root should be removed to keep consistency with openshift origin. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. check /etc/cron.minutely/stickshift-facts and run "crontab -l" command to find out two same jobs are running.
2. Compare /usr/lib/ruby/site_ruby/1.8/facter/stickshift_facts.rb and /usr/lib/ruby/site_ruby/1.8/facter/libra.rb to find out some duplicated facts are defined.
Actual results:

Expected results:

Additional info:
Comment 1 Mrunal Patel 2012-08-01 14:45:25 EDT
libra.rb has been removed as part of mcollective cleanup.
Comment 2 Johnny Liu 2012-08-03 00:39:52 EDT
Re-test this bug on devenv-stage_228, this bug is fixed partially.

libra.rb is indeed removed, but two same jobs are secheduled in both /etc/cron.minutely/stickshift-facts and /var/spool/cron/root.
Comment 3 Mike McGrath 2013-02-13 14:46:56 EST
/etc/cron.minutely/openshift-facts should be marked as config(noreplace) in the openshift-origin-msg-node-mcollective rpm as well.
Comment 4 Jhon Honce 2013-02-16 14:36:28 EST
Fixed in https://github.com/openshift/origin-server/pull/1385

# rpm -q -c \
Comment 5 openshift-github-bot 2013-02-16 15:27:28 EST
Commit pushed to master at https://github.com/openshift/origin-server

Bug 842991 - Do not replace /etc/cron.minutely/openshift-facts when installing new rpm.

* Ops may update this file via their normal procedures
Comment 6 Jianwei Hou 2013-02-16 21:49:12 EST
Verified on devenv_2822

/etc/cron.minutely/openshift-facts is marked as a config in openshift-origin-msg-node-mcollective rpm
[root@ip-10-143-182-210 ~]# rpm -qc openshift-origin-msg-node-mcollective

This file did not got overwritten after yum update, moving it to verified.

Note You need to log in before you can comment on or make changes to this bug.